Skip to main content

Get Rules In Ruleset

GET 

/v1/sandbox/:sandbox_id/match-making-ruleset/:match_making_ruleset_id/rules

Get specific MatchMakingRuleset rules in a sandbox

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    match_making_ruleset_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    rules

    object[]

    List of MatchMakingRules

  • Array [

  • name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    match_making_ruleset_id uuidrequired

    Which ruleset this MatchMakingRule belongs to

    comparison_operation Comparison Operation (string)required

    Possible values: [eq, ne, lt, le, gt, ge, in_set, not_in_set]

    What comparison operation should be used when evaluating a rule

    item_id uuid

    What item is being compared if this is an Inventory or InventoryLevel rule

    rule_type Rule Type (string)required

    Possible values: [Inventory, InventoryLevel, JoiningSessionSize, RegionList]

    What type of rule is being evaluated

    comparison_value Comparison Value (integer)

    What value is to be compared to

    comparison_value_str Comparison Value Str (string)

    A string value comprised of comma separated strings that can be used for RegionList rule with in_set or not_in_set comparison operations

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_rule_id uuidrequired

    ID to uniquely identify this MatchMakingRule

  • ]

Loading...